## gtr-utils

gtr-utils

## Functions

xmlDocPtr | gtr_xml_new_doc ()
xmlDocPtr | gtr_xml_open_file ()
GtkWidget * | gtr_gtk_button_new_with_stock_icon ()
void | gtr_utils_menu_position_under_widget ()
void | gtr_utils_menu_position_under_tree_view ()
GSList * | gtr_utils_drop_get_locations ()
gchar * | gtr_utils_escape_search_text ()
gchar * | gtr_utils_unescape_search_text ()
gboolean | g_utf8_caselessnmatch ()
void | gtr_utils_help_display ()
gchar * | gtr_utils_get_user_config_dir ()
gchar * | gtr_utils_get_current_date ()
gchar * | gtr_utils_get_current_time ()
gchar * | gtr_utils_get_current_year ()
gchar * | gtr_utils_reduce_path ()
gchar * | gtr_utils_escape_underscores ()
gchar * | gtr_utils_get_file_from_pixmapsdir ()
gchar * | gtr_utils_get_file_from_pkgdatadir ()
gchar * | gtr_utils_get_datadir ()
gchar * | gtr_utils_get_win32_plugindir ()

## Description

## Functions

### gtr_xml_new_doc ()

    xmlDocPtr
    gtr_xml_new_doc (const gchar *name);

#### Returns

### gtr_xml_open_file ()

    xmlDocPtr
    gtr_xml_open_file (const gchar *filename);

#### Returns

### gtr_gtk_button_new_with_stock_icon ()

    GtkWidget *
    gtr_gtk_button_new_with_stock_icon (const gchar *label,
                                        const gchar *stock_id);

Convenience function to create a GtkButton with a stock image.

#### Parameters

label | the label of the button |
stock_id | the id of the stock image |

#### Returns

a new GtkButton

### gtr_utils_menu_position_under_widget ()

    void
    gtr_utils_menu_position_under_widget (GtkMenu *menu,
                                          gint *x,
                                          gint *y,
                                          gboolean *push_in,
                                          gpointer user_data);

It returns the position to popup a menu in a specific widget.

#### Parameters

menu | a GtkMenu |
x | the x position of the widget |
y | the y position of the widget |
user_data | the widget to get the position |

### gtr_utils_menu_position_under_tree_view ()

    void
    gtr_utils_menu_position_under_tree_view
                                   (GtkMenu *menu,
                                    gint *x,
                                    gint *y,
                                    gboolean *push_in,
                                    gpointer user_data);

It returns the position to popup a menu in a TreeView.

#### Parameters

menu | a GtkMenu |
x | the x position of the widget |
y | the y position of the widget |
user_data | the widget to get the position |

### gtr_utils_drop_get_locations ()

    GSList *
    gtr_utils_drop_get_locations (GtkSelectionData *selection_data);

#### Returns

### gtr_utils_escape_search_text ()

    gchar *
    gtr_utils_escape_search_text (const gchar *text);

#### Returns

### gtr_utils_unescape_search_text ()

    gchar *
    gtr_utils_unescape_search_text (const gchar *text);

#### Returns

### g_utf8_caselessnmatch ()

    gboolean
    g_utf8_caselessnmatch (const gchar *s1,
                           const gchar *s2,
                           gssize n1,
                           gssize n2);

#### Returns

### gtr_utils_help_display ()

    void
    gtr_utils_help_display (GtkWindow *parent,
                            const gchar *doc_id,
                            const gchar *file_name);

Shows the help for an specific document in the default help browser.

#### Parameters

parent | a GtkWindow |
doc_id | the name of the type of doc |
file_name | the name of the doc |

### gtr_utils_get_user_config_dir ()

    gchar *
    gtr_utils_get_user_config_dir (void);

#### Returns

### gtr_utils_get_current_date ()

    gchar *
    gtr_utils_get_current_date (void);

#### Returns

### gtr_utils_get_current_time ()

    gchar *
    gtr_utils_get_current_time (void);

#### Returns

### gtr_utils_get_current_year ()

    gchar *
    gtr_utils_get_current_year (void);

#### Returns

### gtr_utils_reduce_path ()

    gchar *
    gtr_utils_reduce_path (const gchar *path);

#### Returns

### gtr_utils_escape_underscores ()

    gchar *
    gtr_utils_escape_underscores (const gchar *text,
                                  gssize length);

#### Returns

### gtr_utils_get_file_from_pixmapsdir ()

    gchar *
    gtr_utils_get_file_from_pixmapsdir (const gchar *filename);

#### Returns

### gtr_utils_get_file_from_pkgdatadir ()

    gchar *
    gtr_utils_get_file_from_pkgdatadir (const gchar *filename);

#### Returns

### gtr_utils_get_datadir ()

    gchar *
    gtr_utils_get_datadir (void);

#### Returns

### gtr_utils_get_win32_plugindir ()

    gchar *
    gtr_utils_get_win32_plugindir (void);

#### Returns

## Types and Values